Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77175 - perl module CGI doesn't work under mod_perl
Summary: perl module CGI doesn't work under mod_perl
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: perl
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chip Turner
QA Contact: David Lawrence
URL:
Whiteboard: triage|leonardjo|closed|currentrelease
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-02 08:08 UTC by Need Real Name
Modified: 2007-04-18 16:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-04-22 17:17:32 UTC


Attachments (Terms of Use)

Description Need Real Name 2002-11-02 08:08:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.0.3705)

Description of problem:
the provided version of perl  CGI  module doesn't work under mod_perl
After installing the newest version of CGI it worked fine

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.create a script using CGI and try to run it under mod_perl
2.
3.
	

Actual Results:  undefined Apache->request

Additional info:

Comment 1 Shawn Walker 2002-11-21 23:00:48 UTC
The latest version of the CGI library fixes this.

Comment 2 Leonard den Ottolander 2004-04-22 17:17:32 UTC
No issues with RHL 9 and FC 1.



Note You need to log in before you can comment on or make changes to this bug.